Package twisted :: Package spread :: Module flavors :: Class Viewable

[show private | hide private]
[frames | no frames]

## Class Viewable

    Jellyable --+
                |
     Serializable --+
                    |
                   Viewable

Known Subclasses:
  `PathViewContextDirectory`, `PathViewDirectory`, `FileTransfer`, `CGIProcessProtocol`

I will be converted to a `ViewPoint` when passed to or returned from a remote method.

The beginning of a peer's interaction with a PB Service is always through a perspective. However, if a `perspective_xxx` method returns a Viewable, it will be serialized to the peer as a response to that method.

Method Summary
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``jellyFor`(self, jellier)` Serialize a `ViewPoint`for me and the perspective of the given broker.
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)

Method Details

### jellyFor(self, jellier)

Serialize a `ViewPoint` for me and the perspective of the given broker.

Generated by Epydoc 1.1 on Thu May 8 13:16:53 2003 | http://epydoc.sf.net